Index: trunk/kernel/vfs/devfs.c
===================================================================
--- trunk/kernel/vfs/devfs.c	(revision 23)
+++ trunk/kernel/vfs/devfs.c	(revision 50)
@@ -139,6 +139,6 @@
     xptr_t   new_inode_xp;
 
-printk("\n        @@@ devfs_chdev : 0 / name = %s\n", name );
-
+    devfs_dmsg("\n[INFO] %s : create dentry for %s\n", __FUNCTION__ , name );
+    
     // create vfs_dentry in local cluster
     error = vfs_dentry_create( FS_TYPE_DEVFS,
@@ -146,7 +146,4 @@
                                parent,
                                &new_dentry_xp );
-
-printk("\n        @@@ devfs_chdev : 1 / name = %s\n", name );
-
     if ( error )
     {
@@ -156,6 +153,6 @@
     }
 
-printk("\n        @@@ devfs_chdev : 2 / name = %s\n", name );
-
+    devfs_dmsg("\n[INFO] %s : create inode for %s\n", __FUNCTION__ , name );
+    
     // create vfs_inode in local cluster
     uint32_t  attr   = 0;
@@ -171,7 +168,4 @@
                               gid,
                               &new_inode_xp );
-
-printk("\n        @@@ devfs_chdev : 3 / name = %s\n", name );
-
     if( error )
     {
@@ -229,11 +223,7 @@
     ///// step 1 : all clusters initialize local DEVFS context  /////
 
-printk("\n    @@@ devfs_mount : 0 / name = %s\n", devfs_root_name );
-
     devfs_ctx_init( vfs_ctx , parent_inode_xp );
 
     ///// step 2 : cluster_0 creates DEVFS root    /////
-
-printk("\n    @@@ devfs_mount : 1 / name = %s\n", devfs_root_name );
 
     if( local_cxy == 0 )
@@ -242,6 +232,4 @@
                                 parent_inode_xp,
                                 &root_inode_xp );
-printk("\n    @@@ devfs_mount : 2\n");
-
     }
 
@@ -251,15 +239,11 @@
     ///// step 3 : all clusters create "internal" directory and chdevs  /////
 
-printk("\n    @@@ devfs_mount : 3 / name = %s\n", devfs_root_name );
+    // TODO check device existence : (chdev_xp != XPTR_NULL) in chdev_dir
 
     snprintf( node_name , 16 , "internal_%x" , local_cxy );
-
-printk("\n    @@@ devfs_mount : 4 / name = %s\n", devfs_root_name );
 
     devfs_create_directory( node_name,
                             root_inode_xp,
                             &internal_inode_xp );
-
-printk("\n    @@@ devfs_mount : 5 / name = %s\n", devfs_root_name );
 
     // create ICU chdev inode
@@ -270,6 +254,4 @@
                           &chdev_inode_xp );
 
-printk("\n    @@@ devfs_mount : 6 / name = %s\n", devfs_root_name );
-
     // create MMC chdev inode
     chdev_ptr = (chdev_t *)GET_PTR( chdev_dir.mmc[local_cxy] );
@@ -279,6 +261,4 @@
                           &chdev_inode_xp );
 
-printk("\n    @@@ devfs_mount : 7 / name = %s\n", devfs_root_name );
-
     // create DMA chdev inodes (one DMA channel per core)
     for( channel = 0 ; channel < cluster->cores_nr ; channel++ )
@@ -290,10 +270,9 @@
                               (vfs_inode_t *)GET_PTR( internal_inode_xp ),
                               &chdev_inode_xp );
-
-printk("\n    @@@ devfs_mount : 8 / name = %s\n", devfs_root_name );
-
     }
 
     ///// step 4 : cluster_io creates "external" directory and chdevs /////
+
+    // TODO check device existence : (chdev_xp != XPTR_NULL) in chdev_dir
 
     if( local_cxy == cluster->io_cxy )
@@ -302,6 +281,4 @@
                                 root_inode_xp,
                                 &external_inode_xp );
-
-printk("\n    @@@ devfs_mount : 9 / name = %s\n", devfs_root_name );
 
         // create IOB chdev inode
@@ -312,6 +289,4 @@
                               &chdev_inode_xp );
         
-printk("\n    @@@ devfs_mount : 10 / name = %s\n", devfs_root_name );
-
         // create PIC chdev inode
         chdev_ptr = (chdev_t *)GET_PTR( chdev_dir.pic );
@@ -374,6 +349,4 @@
                                   (vfs_inode_t *)GET_PTR( external_inode_xp ),
                                   &chdev_inode_xp );
-printk("\n    @@@ devfs_mount : 11 / name = %s\n", devfs_root_name );
-
         }
     }
@@ -676,17 +649,4 @@
 
 
-const struct vfs_file_op_s devfs_f_op = 
-{
-	.open    = devfs_open,
-	.read    = devfs_read,
-	.write   = devfs_write,
-	.lseek   = devfs_lseek,
-	.mmap    = devfs_mmap,
-	.munmap  = devfs_munmap,
-	.readdir = devfs_readdir,
-	.close   = devfs_close,
-	.release = devfs_release
-};
-
 */
 
